Loading...
Searching...
No Matches
casacore::CLIPNearest2D< T > Class Template Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <CLIPNearest2D.h>`

## Public Member Functions

| CLIPNearest2D ()
| Only default constructor is needed.
virtual CLIPNearest2D< T > * | clone () const
| Make a copy of the object.
virtual void | getData (Array< T > &buffer, const Vector< Float > &x, const Vector< Float > &y, const Slicer &section)
| Get the data for the given pixel points (on axis1 and axis2) and the chunk in the other axes as given by the section.
virtual void | getMask (Array< Bool > &buffer, const Vector< Float > &x, const Vector< Float > &y, const Slicer &section)
| Get the mask for the given pixel points (on axis1 and axis2) and the chunk in the other axes as given by the section.
Public Member Functions inherited from casacore::CLInterpolator2D< T >
| CLInterpolator2D ()
virtual | ~CLInterpolator2D ()
void | set (MaskedLattice< T > *lattice, const AxesMapping &axesMap, uInt axis1, uInt axis2, uInt curveAxis)
| Set the internals to the values of the CurvedLattice using it.

## Additional Inherited Members

Protected Member Functions inherited from casacore::CLInterpolator2D< T >
| CLInterpolator2D (const CLInterpolator2D< T > &)
| Copy constructor can only be used by derived classes.
CLInterpolator2D & | operator= (const CLInterpolator2D< T > &)
| Assignment can only be used by derived classes.
virtual void | preset ()
| Let a derived class do some initial work after set is called.
Protected Attributes inherited from casacore::CLInterpolator2D< T >
MaskedLattice< T > * | itsLatticePtr
AxesMapping | itsAxesMap
uInt | itsAxis1
uInt | itsAxis2
uInt | itsCurveAxis
Bool | itsIsRef

## Detailed Description

template<class T>
class casacore::CLIPNearest2D< T >

Arbitrarily shaped 1-dim lattice crosscut

### Intended use:

Public interface

### Review Status

Test programs:
  tPixelCurve

### Prerequisite

- CLInterpolator2D

### Etymology

CLIP means CLInterpolator (its base class). The 2D means that interpolation in 2 dimensions needs to be done.

### Synopsis

CLIPNearest2D is a realisation of the abstract base class CLInterpolator2D. This class interpolates in a very simple way by taking the nearest neighbour.

Note that the base class contains the lattice to be interpolated and the axis to be used in the interpolation.

Definition at line 71 of file CLIPNearest2D.h.

## Constructor & Destructor Documentation

## CLIPNearest2D()

template<class T>

casacore::CLIPNearest2D< T >::CLIPNearest2D | ( |  | ) |

Only default constructor is needed.

The set function in the base class defines the lattice and axes.

Referenced by clone().

## Member Function Documentation

## clone()

template<class T>

virtual CLIPNearest2D< T > * casacore::CLIPNearest2D< T >::clone | ( |  | ) | const

virtual

Make a copy of the object.

Implements casacore::CLInterpolator2D< T >.

References CLIPNearest2D().

## getData()

template<class T>

virtual void casacore::CLIPNearest2D< T >::getData | ( | Array< T > & | buffer,
|  | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Slicer & | section )

virtual

Get the data for the given pixel points (on axis1 and axis2) and the chunk in the other axes as given by the section.

Implements casacore::CLInterpolator2D< T >.

## getMask()

template<class T>

virtual void casacore::CLIPNearest2D< T >::getMask | ( | Array< Bool > & | buffer,
|  | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Slicer & | section )

virtual

Get the mask for the given pixel points (on axis1 and axis2) and the chunk in the other axes as given by the section.

Implements casacore::CLInterpolator2D< T >.

References casacore::CLInterpolator2D< T >::CLInterpolator2D(), casacore::CLInterpolator2D< T >::itsAxesMap, casacore::CLInterpolator2D< T >::itsAxis1, casacore::CLInterpolator2D< T >::itsAxis2, casacore::CLInterpolator2D< T >::itsCurveAxis, casacore::CLInterpolator2D< T >::itsIsRef, and casacore::CLInterpolator2D< T >::itsLatticePtr.

The documentation for this class was generated from the following file:

- lattices/LatticeMath/CLIPNearest2D.h